高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Properties | List of all members
AMapNaviOptimalRouteParam Class Reference

`#include <AMapNaviOptimalRouteParam.h>`

Inheritance diagram for AMapNaviOptimalRouteParam:

## Properties
CGFloat | distanceToNextTurn
CGFloat | distanceToCongestion
NSInteger | congestionTime
NSInteger | timeFrequency
| 时间间隔内只允许触发一次更优路线算路: 默认为10分钟；有效值 [10, 120]
AMapNaviOptimalRouteSortStrategy | sortStrategy
CGFloat | similityThreshold
| 相似度设定的阈值，默认值0.5 ; 有效 (0, 1]
CGFloat | timeWeight
| 时间系数权重 默认值0.5 ; 有效值[0,1]
CGFloat | distanceWeight
| 距离系数权重 默认值0.3 ;有效值[0,1]
CGFloat | tollWeight
| 费用系数权重 默认值0.2 ;有效值[0,1]

## Property Documentation

## ◆ congestionTime

- (NSInteger) congestionTime
| read write nonatomic assign

前方拥堵时间默认值10分钟 ; 有效值 [10, INT_MAX] MPID路线还原失败时使用此值

## ◆ distanceToCongestion

- (CGFloat) distanceToCongestion
| read write nonatomic assign

距离拥堵距离 默认值1 km ; 有效值[1,5] MPID路线还原失败时使用此值

## ◆ distanceToNextTurn

- (CGFloat) distanceToNextTurn
| read write nonatomic assign

距离转向距离 默认值1 km ; 有效值[1,5] MPID路线还原成功时使用此值

## ◆ distanceWeight

- (CGFloat) distanceWeight
| read write nonatomic assign

距离系数权重 默认值0.3 ;有效值[0,1]

## ◆ similityThreshold

- (CGFloat) similityThreshold
| read write nonatomic assign

相似度设定的阈值，默认值0.5 ; 有效 (0, 1]

## ◆ sortStrategy

- (AMapNaviOptimalRouteSortStrategy) sortStrategy
| read write nonatomic assign

导航中动态算路排序策略: 默认值为 AMapNaviOptimalRouteSortStrategyBySimilarity 排序只能选择其中“一种”方式： ■ 开发者可选择“排序”方式；在不设置的情况下，默认选择相似度系数； ■ 路线“还原失败”情况：不管外部是否设置 使用 “路线相似度” 比较逻辑，均使用权重系数；

## ◆ timeFrequency

- (NSInteger) timeFrequency
| read write nonatomic assign

时间间隔内只允许触发一次更优路线算路: 默认为10分钟；有效值 [10, 120]

## ◆ timeWeight

- (CGFloat) timeWeight
| read write nonatomic assign

时间系数权重 默认值0.5 ; 有效值[0,1]

## ◆ tollWeight

- (CGFloat) tollWeight
| read write nonatomic assign

费用系数权重 默认值0.2 ;有效值[0,1]

The documentation for this class was generated from the following file:

- AMapNaviOptimalRouteParam.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。